API Direct
Endpoints
Bluesky Post Details

Bluesky Post Details

GET /v1/bluesky/post

Get a single Bluesky post by URL or ID. Returns the post text, author, publication date, engagement metrics (likes, replies, reposts, quotes, bookmarks), media, link card, and quoted post.

Cost
$0.003 per request
Free tier
50 requests/month

Parameters

url
Bluesky post URL, e.g. https://bsky.app/profile/bsky.app/post/3l6oveex3ii2l (max 500 characters). Provide either url or post_id.
post_id
The post's AT URI as returned in post_id, e.g. at://did:plc:z72i7hdynmk6r22z27h6tvur/app.bsky.feed.post/3l6oveex3ii2l (max 200 characters). Provide either url or post_id.
get_sentiment
Set to true to add AI emotion analysis (Plutchik's Wheel) to the post. Adds +$0.001 per request to the cost. Returns emotion scores, dominant emotion, intensity, and polarity.

Example Request

curl "https://apidirect.io/v1/bluesky/post?url=https%3A%2F%2Fbsky.app%2Fprofile%2Fbsky.app%2Fpost%2F3l6oveex3ii2l"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "post": {
    "title": "@bsky.app on Bluesky",
    "url": "https://bsky.app/profile/bsky.app/post/3l6oveex3ii2l",
    "date": "2024-10-17 07:06:51",
    "author": "bsky.app",
    "author_name": "Bluesky",
    "author_id": "did:plc:z72i7hdynmk6r22z27h6tvur",
    "author_verified": false,
    "source": "Bluesky",
    "domain": "bsky.app",
    "snippet": "👋  Bluesky is an open social network that gives creators independence from platforms, developers the freedom to build, and users a choice in their exp…",
    "likes": 63685,
    "replies": 8582,
    "reposts": 9530,
    "quotes": 708,
    "bookmarks": 249,
    "lang": "en",
    "is_reply": false,
    "in_reply_to_id": "",
    "is_quote": false,
    "quoted_post": null,
    "hashtags": [],
    "mentions": [],
    "links": [],
    "link_preview": null,
    "media_type": "text",
    "image_url": "",
    "video_url": "",
    "carousel_media": [],
    "post_id": "at://did:plc:z72i7hdynmk6r22z27h6tvur/app.bsky.feed.post/3l6oveex3ii2l"
  }
}

Your Usage

Free tier this month
Loading...
Recent Activity